Bug 199246 - [PATCH] multimedia/gtk-youtube-viewer: Update 3.1.9
Summary: [PATCH] multimedia/gtk-youtube-viewer: Update 3.1.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-04-06 18:55 UTC by tkato432
Modified: 2015-07-12 15:09 UTC (History)
2 users (show)

See Also:


Attachments
multimedia_gtk-youtube-viewer.diff (1.54 KB, patch)
2015-04-06 18:55 UTC, tkato432
no flags Details | Diff
multimedia_gtk-youtube-viewer.diff (2.85 KB, patch)
2015-04-15 09:31 UTC, tkato432
no flags Details | Diff
multimedia_gtk-youtube-viewer.diff (2.83 KB, patch)
2015-05-12 15:33 UTC, tkato432
no flags Details | Diff
multimedia_gtk-youtube-viewer.diff (7.75 KB, patch)
2015-05-12 17:31 UTC, tkato432
no flags Details | Diff
multimedia_gtk-youtube-viewer.diff (7.75 KB, patch)
2015-05-17 11:00 UTC, tkato432
no flags Details | Diff
multimedia_gtk-youtube-viewer.diff (7.39 KB, patch)
2015-05-26 18:00 UTC, tkato432
no flags Details | Diff
multimedia_gtk-youtube-viewer.diff (7.39 KB, patch)
2015-06-06 07:30 UTC, tkato432
no flags Details | Diff
ac.txt (348 bytes, text/plain)
2015-06-06 18:00 UTC, tkato432
no flags Details
testport.txt (55.92 KB, text/plain)
2015-06-06 18:01 UTC, tkato432
no flags Details
multimedia_gtk-youtube-viewer.diff (7.80 KB, patch)
2015-07-07 10:00 UTC, tkato432
no flags Details | Diff
gtk-youtube-viewer-3.1.9.log (55.68 KB, text/x-log)
2015-07-08 10:10 UTC, Jason Unovitch
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2015-04-06 18:55:04 UTC
Created attachment 155284 [details]
multimedia_gtk-youtube-viewer.diff
Comment 1 tkato432 2015-04-15 09:31:36 UTC
Created attachment 155618 [details]
multimedia_gtk-youtube-viewer.diff

Version 3.1.3 has been released.
Comment 2 tkato432 2015-05-12 15:33:35 UTC
Created attachment 156710 [details]
multimedia_gtk-youtube-viewer.diff

Chase r385637
Comment 3 tkato432 2015-05-12 17:31:07 UTC
Created attachment 156716 [details]
multimedia_gtk-youtube-viewer.diff

Version 3.1.4 has been released.
Comment 4 tkato432 2015-05-17 11:00:08 UTC
Created attachment 156849 [details]
multimedia_gtk-youtube-viewer.diff

Version 3.1.5 has been released.
Comment 5 tkato432 2015-05-26 18:00:07 UTC
Created attachment 157175 [details]
multimedia_gtk-youtube-viewer.diff

Version 3.1.7 has been released.
Comment 6 tkato432 2015-06-06 07:30:06 UTC
Created attachment 157454 [details]
multimedia_gtk-youtube-viewer.diff

Version 3.1.8 has been released.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-06 08:34:26 UTC
Thanks tkato, please attach QA results (portlint -AC, poudriere testport) as well
Comment 8 tkato432 2015-06-06 18:00:05 UTC
Created attachment 157478 [details]
ac.txt
Comment 9 tkato432 2015-06-06 18:01:18 UTC
Created attachment 157479 [details]
testport.txt
Comment 10 Jason Unovitch freebsd_committer 2015-07-06 21:17:01 UTC
Hello,
Are you interested in becoming the maintainer for this port?  Good work keeping your patches updated along the way.  You are already most of the way there to being the maintainer.  I noticed there is 3.1.9 release out on https://code.google.com/p/trizen/.  Consider fixing the one QA issue noticed and doing that update and this should be commit ready.

The only QA issue I noted is the following (which is in your ac.txt):

WARN: Makefile: [46]: possible direct use of command "patch" found. use ${PATCH} instead.

I've done successful Poudriere testport builds of your patch on the following and did not see anything that needed to be addressed in the output:

8.4-RELEASE-p31      amd64
8.4-RELEASE-p31      i386
9.3-RELEASE-p17      amd64
9.3-RELEASE-p17      i386
10.1-RELEASE-p14     amd64
10.1-RELEASE-p14     i386
11.0-CURRENT r284725 amd64
11.0-CURRENT r284725 i386
Comment 11 tkato432 2015-07-07 10:00:09 UTC
Created attachment 158484 [details]
multimedia_gtk-youtube-viewer.diff

WARN is nothing but a false positive. Although it's obvious that
USE_PERL5=patch doesn't mean direct use of patch command, portlint
doesn't seem to be aware of this syntax at all.
Comment 12 Jason Unovitch freebsd_committer 2015-07-08 01:23:08 UTC
(In reply to tkato432 from comment #11)

Excellent!  I see what you are talking about now that I've looked at the Makefile.  No QA issues then.  Keep up the good work.  I've retested your 3.1.9 update on the same range from comment 10 and there are no issue.  This looks good for commit.
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2015-07-08 04:25:21 UTC
Jason, could you attach one of your poudriere logs please. thanks!
Comment 14 Jason Unovitch freebsd_committer 2015-07-08 10:10:02 UTC
Created attachment 158528 [details]
gtk-youtube-viewer-3.1.9.log

(In reply to Kubilay Kocak from comment #13)
Indeed.  Here is the log from my 10.1-RELEASE Poudriere jail for the 3.1.9 patch.
Comment 15 commit-hook freebsd_committer 2015-07-12 13:05:51 UTC
A commit references this bug:

Author: riggs
Date: Sun Jul 12 13:05:05 UTC 2015
New revision: 391781
URL: https://svnweb.freebsd.org/changeset/ports/391781

Log:
  - Update to upstream version 3.1.9
  - Add OPTIONs to select the media player used for playback
  - Add NO_ARCH

  PR:		199246
  Submitted by:	tkato432@yahoo.com
  Reviewed by:	jason.unovitch@gmail.com

Changes:
  head/multimedia/gtk-youtube-viewer/Makefile
  head/multimedia/gtk-youtube-viewer/distinfo
  head/multimedia/gtk-youtube-viewer/pkg-descr
  head/multimedia/gtk-youtube-viewer/pkg-plist